CHKHELP(1)

NAME
chkhelp - check performance metrics help text files

SYNOPSIS
$PCP_BINADM_DIR/chkhelp [-eHiOp?] [-n pmnsfile] helpfile [metricname ...]

DESCRIPTION
chkhelp checks the consistency of Performance Co-Pilot help text files generated by newhelp(1) and used by Performance Metric Domain Agents (PMDAs). The checking involves scanning the files, and optionally displaying selected entries.

The files helpfile.dir and helpfile.pag are created by newhelp(1), and are assumed to already exist.

Without any options or metricname arguments, chkhelp silently verifies the structural integrity of the help files.

If any metricname arguments are specified, then the help entries for only the corresponding metrics will be processed.

If no metricname arguments are specified, then at least one of the options -i or -p must be given. The -i option causes entries for all instance domains to be processed (ignoring entries for performance metrics). The -p option causes entries for all metrics to be displayed (ignoring entries for instance domains).

When metric entries are to be processed (via either the metricname arguments or the -p option or the -i option), the -O and -H options request the display of the one-line and verbose help text respectively. The default is -O.

Normally chkhelp operates on the default Performance Metrics Name Space (PMNS), however if the -n option is specified an alternative namespace is loaded from the file pmnsfile.

The -e option provides an existence check where all of the specified metrics from the PMNS (note, not from helpfile) are scanned, and only the names of the metrics for which no help text exists are reported. The -e option is mutually exclusive with the -i and/or -p options.

OPTIONS
The available command line options are:

-e  Report metrics with no help text.

-H  Display verbose help text and exit.

-i  Process all the instance domains.

-n pmnsfile
    Load an alternative Performance Metrics Name Space (PMNS(5)) from the file pmnsfile.

-O  Display the one line help summary.

-p  Process all the metrics (PMIDs).

-?  Display usage message and exit.

DIAGNOSTICS
There are all sorts of reasons a help database may be inconsistent, the most likely is that a performance metric in the database is not defined in the loaded PMNS.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
newhelp(1), PMAPI(3), pmLookupInDomText(3), pmLookupText(3), pcp.conf(5), pcp.env(5) and PMNS(5).